// JavaScript Document
(function($){
    $.fn.hoverDelay = function(options){
        var defaults = {
            hoverDuring: 200,
            outDuring: 200,
            hoverEvent: function(){
                $.noop();
            },
            outEvent: function(){
                $.noop();
            }
        };
        var sets = $.extend(defaults,options || {});
        var hoverTimer, outTimer;
        return $(this).each(function(){
            $(this).hover(function(){
                clearTimeout(outTimer);
                hoverTimer = setTimeout(sets.hoverEvent, sets.hoverDuring);
            },function(){
                clearTimeout(hoverTimer);
                outTimer = setTimeout(sets.outEvent, sets.outDuring);
            });
       });
    }
})(jQuery);

//hoverDuring        鼠标经过的延时时间
//outDuring          鼠标移出的延时时间
//hoverEvent        鼠标经过执行的方法
//outEvent         鼠标移出执行的方法

var item_list="";
var old_menu="";
var old_item="";
var old_nav="";
var menu_list="";
var old_menu_height=0;
var that="";
	function global_menu_show(){
	var hide = false;
	menu_list=$("#imenu li");
	menu_list.each(function(f){
                    $(this).hover(function (){
					if(old_nav!="") old_nav.hide();
					that=$(this);
					old_nav=$("#imenu_nav_"+(f+1));
					old_nav.show();
					pop_nav(f+1);
					if (hide) clearTimeout(hide);
					delay=setTimeout(function(){$("#imenu_pop").fadeIn(100);},150);
					$(this).addClass("sc");
					
				},function(){
				    if(delay) clearTimeout(delay);
					hide = setTimeout(function() {$("#imenu_pop").fadeOut(100);});
					$(this).removeClass("sc");
					$("#imenu_pop").stop(true,true);
				});
		});

////////// 弹出二级菜单
		$("#imenu_pop").hover(function(){
		that.addClass("sc");
		if (hide) clearTimeout(hide);
		},function() {
		$("#imenu_pop").fadeOut(100);
		//hide = setTimeout(function() {$("#global_menu_pop").fadeOut("fast");});
		that.removeClass("sc");
		$("#imenu_pop").stop(true,true);		
		});
////////////////////////显示隐藏菜单
//	$("#global_menu").hide();
//	$("#global_menu").mouseover(function(){
//			$(this).show();
//			$("#global_menu_title").css("background","url(images/global_bt_bg3.gif) left bottom");
//		});	
//	$("#allshot").hover(function(){
//			show_global_menu();	
//				    
//		},function(){
//			hide_global_menu();	
//		});
}


function pop_nav(id){
	if(old_menu!=""){//删除原有类别
		old_menu.hide();
		old_item.removeClass("global_menu_s_nav");
	}
	item_list = $("#global_menu_"+id+" dd");//遍历类别
	old_menu=$("#global_menu_"+id+"_1");
	old_menu.show();
	old_item=$(item_list[0]);
	old_item.addClass("global_menu_s_nav");
	item_list.each(function(i){
			$(this).hover(
				function (){
					if(old_menu!=""){
						old_menu.hide();
						old_item.removeClass("global_menu_s_nav");
					}
					$(item_list[i]).addClass("global_menu_s_nav");
					$("#global_menu_"+id+"_"+(i+1)).show();
					old_menu=$("#global_menu_"+id+"_"+(i+1));
					old_item=$(item_list[i]);
				});
	});
}



function show_global_menu(){
		$("#global_menu").show();
		$("#global_menu_title").css("background","url(images/global_bt_bg3.gif) left bottom");
	}
function hide_global_menu(){
		$("#global_menu").hide();
		$("#global_menu_title").css("background","url(images/global_bt_bg3.gif) left top");
	}

global_menu_show();